## org.eclipse.datatools.sqltools.common.ui.sqlstatementarea
Class SharedTextColors

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.sqlstatementarea.SharedTextColors

All Implemented Interfaces:
  org.eclipse.jface.text.source.ISharedTextColors

    public class SharedTextColors

extends java.lang.Object
implements org.eclipse.jface.text.source.ISharedTextColors

Manages SWT color objects. Until the `dispose` method is called, the same color object is returned for equal `RGB` values.

Author:
  Shi-feng Yu

Constructor Summary
`SharedTextColors()` Create an instance of shared color manager.

Method Summary
`void` `dispose()`
`org.eclipse.swt.graphics.Color` `getColor(org.eclipse.swt.graphics.RGB rgb)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedTextColors

    public SharedTextColors()

  Create an instance of shared color manager.

  Note: The caller who creates the instance has the resposibility to invoke `dispose()` to release the Color resources.

Method Detail

### getColor

    public org.eclipse.swt.graphics.Color getColor(org.eclipse.swt.graphics.RGB rgb)

  Specified by:
    `getColor` in interface `org.eclipse.jface.text.source.ISharedTextColors`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.text.source.ISharedTextColors`